%define tarname	scikits.learn
%define name	python-scikits-learn
%define version	0.6
%define release %mkrel 1

Summary:	Machine learning in Python
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{tarname}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://scikits-learn.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python-setuptools
BuildRequires:	python-numpy-devel >= 1.1
BuildRequires:	python-scipy >= 0.7
# BuildRequires:	python-nose >= 0.10, python-coverage
BuildRequires:	python-matplotlib
BuildRequires:	python-sphinx
%py_requires -d

%description
scikits.learn is a Python module that integrates classic machine learning
algorithms with the tightly-knit world of scientific Python packages
(numpy, scipy, matplotlib).

%prep
%setup -q -n %{tarname}-%{version}

%build
%__python setup.py build

pushd doc
export PYTHONPATH=`dir -d ../build/lib.linux*`
%make html
popd
find . -name .buildinfo | xargs rm -rf

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST

# Disable checks because of semaphore problem on Mandriva build cluster:
#%check
#pushd %{buildroot}%{py_platsitedir}/scikits
#nosetests
#popd

%clean
%__rm -rf %{buildroot}

%files -f FILE_LIST
%defattr(-,root,root)
%doc AUTHORS.rst README.rst examples/ doc/_build/html


%changelog
* Thu Dec 23 2010 Lev Givon <lev@mandriva.org> 0.6-1mdv2010.1
+ Revision: 624179
- Update to 0.6.

* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 0.5-2mdv2011.0
+ Revision: 594036
- rebuld for py 2.7

* Wed Oct 20 2010 Lev Givon <lev@mandriva.org> 0.5-1mdv2011.0
+ Revision: 586971
- import python-scikits-learn


